from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Array, Int, String, File, Boolean

Tombo_Plot_Per_Read_V0_1_0 = CommandToolBuilder(tool="tombo_plot_per_read", base_command=["tombo", "plot_per_read"], inputs=[ToolInput(tag="in_fast_five_based_irs", input_type=Array(t=Int(), optional=True), prefix="--fast5-basedirs", doc=InputDocumentation(doc="Directories containing fast5 files.")), ToolInput(tag="in_genome_locations", input_type=Array(t=String(), optional=True), prefix="--genome-locations", doc=InputDocumentation(doc="Genomic locations at which to plot signal. Format\nlocations as 'chrm:position[:strand]\n[chrm2:position2[:strand2] ...]' (strand not\napplicable for all applications)")), ToolInput(tag="in_tombo_model_filename", input_type=File(optional=True), prefix="--tombo-model-filename", doc=InputDocumentation(doc="Tombo model for event-less resquiggle and significance\ntesting. If no model is provided the default DNA or\nRNA tombo model will be used.")), ToolInput(tag="in_alternate_model_filename", input_type=File(optional=True), prefix="--alternate-model-filename", doc=InputDocumentation(doc="Tombo model for alternative likelihood ratio\nsignificance testing.")), ToolInput(tag="in_fishers_method_context", input_type=Int(optional=True), prefix="--fishers-method-context", doc=InputDocumentation(doc="Number of context bases up and downstream over which\nto compute Fisher's method combined p-values. Note:\nNot applicable for alternative model likelihood ratio\ntests. Default: 1.")), ToolInput(tag="in_plot_standard_model", input_type=Boolean(optional=True), prefix="--plot-standard-model", doc=InputDocumentation(doc="Add default standard model distribution to the plot.")), ToolInput(tag="in_plot_alternate_model", input_type=String(optional=True), prefix="--plot-alternate-model", doc=InputDocumentation(doc="Add alternative model distribution to the plot.")), ToolInput(tag="in_num_reads", input_type=Int(optional=True), prefix="--num-reads", doc=InputDocumentation(doc="Number of reads to plot. Default: 100")), ToolInput(tag="in_num_bases", input_type=Int(optional=True), prefix="--num-bases", doc=InputDocumentation(doc="Number of bases to plot/output. Default: 51")), ToolInput(tag="in_box_center", input_type=Boolean(optional=True), prefix="--box-center", doc=InputDocumentation(doc="Plot a box around the central base.")), ToolInput(tag="in_pdf_filename", input_type=File(optional=True), prefix="--pdf-filename", doc=InputDocumentation(doc="PDF filename to store plot(s). Default:\ntombo_results.per_read_stats.pdf")), ToolInput(tag="in_corrected_group", input_type=Int(optional=True), prefix="--corrected-group", doc=InputDocumentation(doc="FAST5 group created by resquiggle command. Default:\nRawGenomeCorrected_000")), ToolInput(tag="in_base_call_subgroups", input_type=Array(t=String(), optional=True), prefix="--basecall-subgroups", doc=InputDocumentation(doc="FAST5 subgroup(s) (under Analyses/[corrected-group])\ncontaining basecalls. Default: ['BaseCalled_template']")), ToolInput(tag="in_quiet", input_type=Boolean(optional=True), prefix="--quiet", doc=InputDocumentation(doc="Don't print status information."))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Tombo_Plot_Per_Read_V0_1_0().translate("wdl", allow_empty_container=True)

